%global pypi_name cx_Oracle
%global local_name cx-oracle

Summary:        Python interface to Oracle
Name:           python-%{local_name}
Version:        8.3.0
Release:        5%{?dist}
License:        BSD
URL:            https://oracle.github.io/python-cx_Oracle
Source0:        %{pypi_source}

BuildRequires:  gcc

%description
Python interface to Oracle Database conforming to the Python DB API 2.0 specification.

%package -n     python3-%{local_name}
Summary:        Python interface to Oracle
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{local_name}
Python interface to Oracle Database conforming to the Python DB API 2.0 specification.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{_prefix}/cx_Oracle-doc

%check
%{__python3} setup.py test

%files -n python3-%{local_name}
%license LICENSE.txt
%doc README.txt
%{python3_sitearch}/cx_Oracle.*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py*.egg-info/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.3.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.3.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.3.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Shuo Wang <abushwang@tencent.com> - 7.3.0-1
- initial build
